发布时间 :2005-01-10 00:00:00
修订时间 :2008-09-05 16:37:39

[原文]Unknown vulnerability in the bsd.a kernel networking for SGI IRIX 6.5.22 through 6.5.25, and possibly earlier versions, in which "t_unbind changes t_bind's behavior," has unknown impact and attack vectors.

[CNNVD]SGI IRIX bad.a 未知漏洞(CNNVD-200501-138)

        IRIX是SGI公司以System V与BSD延伸程式为基础所发展成的UNIX操作系统。
        SGI IRIX 6.5.22至6.5.25 版本中的bad.a kernel networking存在未知漏洞。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:sgi:irix:6.5.25SGI IRIX 6.5.25
cpe:/o:sgi:irix:6.5.23SGI IRIX 6.5.23
cpe:/o:sgi:irix:6.5.24SGI IRIX 6.5.24
cpe:/o:sgi:irix:6.5.22SGI IRIX 6.5.22

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(VENDOR_ADVISORY)  XF  irix-bsda-kernel(17547)
(UNKNOWN)  SGI  20040905-01-P

- 漏洞信息

SGI IRIX bad.a 未知漏洞
危急 资料不足
2005-01-10 00:00:00 2005-10-20 00:00:00
        IRIX是SGI公司以System V与BSD延伸程式为基础所发展成的UNIX操作系统。
        SGI IRIX 6.5.22至6.5.25 版本中的bad.a kernel networking存在未知漏洞。

- 公告与补丁

        SGI IRIX 6.5.22
        SGI 5738
        SGI IRIX 6.5.23
        SGI 5737
        SGI IRIX 6.5.24
        SGI 5728
        SGI IRIX 6.5.25
        SGI 5729

- 漏洞信息

IRIX bsd.a Kernel t_bind t_unbind Unspecified
Location Unknown Attack Type Unknown
Impact Unknown
Exploit Unknown

- 漏洞描述

IRIX contains a networking flaw related to its bsd.a kernel that may allow t_unbind to change the behavior of t_bind. No further details have been provided.

- 时间线

2004-09-29 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 6.5.26 or higher, as it has been reported to fix this vulnerability. In addition, Silicon Graphics, Inc. has released patches for some older versions.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

SGI IRIX T_Bind/T_UnBind Undisclosed Vulnerability
Unknown 11276
Yes Yes
2004-09-29 12:00:00 2006-11-23 08:06:00
This vulnerability was announced in a vendor advisory.

- 受影响的程序版本

SGI IRIX 6.5.25
SGI IRIX 6.5.24
SGI IRIX 6.5.23
SGI IRIX 6.5.22
Avaya Interactive Response 2.0

- 漏洞讨论

An undisclosed vulnerability is reported to affect SGI IRX and may affect other versions of BSD, although this is not confirmed. The vulnerability presents itself because the 't_unbind()' function modifies the expected behavior of 't_bind()'. The consequences of the vulnerability are not known.

Very few details are known regarding this vulnerability; this BID will be updated when more information is made public.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or if you are aware of more recent information, please mail us at:

- 解决方案

SGI has released an advisory (20040905-01-P) and updates dealing with this issue for affected IRIX platforms. See the referenced advisory for information on obtaining and applying appropriate updates.

SGI IRIX 6.5.22

SGI IRIX 6.5.23

SGI IRIX 6.5.24

SGI IRIX 6.5.25

- 相关参考